Support Offline : Mon - Fri / 10am - 6pm (GMT +6)

Your Time: Our Time:

Unable to update to latest 3.9.1

Featured Lock Resolved Issue
I've recently been on a forum. These people have been trying to help, but suggested that I talk to an expert. Issue, person who originally built site is no longer employed, I was just maintaining pages, not doing updates. We currently host 3 sites locally. 2 of my sites are on 3.5.1 and stating that Joomla is up to date. Which is not a true statement. Latest version is 3.9.1 which 1 site updated properly. By trying to get the other sites updated, somehow, I royally screwed up on site to where the end user could not log in and maintain their pages. So I figured I'd roll back to my backup. Once I did that, I know have a huge Warning Runtime exception error. Title .. so through the forums I was able to make a few modifications to the php.ini file but still having errors when FIXing database. I asked the question where do you change the file type of a field and I think no one wants to work with me. Can anyone assist?

17 Answers

Paul Frankowski - Staff

More than a month ago #Permalink
Again we Saved Another Website from hands of old versions. :D

Paul Frankowski - Staff

More than a month ago #Permalink
Hi,
sorry, but we are not official Joomla support.
It means that Joomla update problems to 3.9.1 >> https://forum.joomla.org/

---
About SPPB Update read a tip from:
https://www.joomshaper.com/documentation/sp-page-builder/sp-page-builder-3#how-to-tips
---

Extensions should be updated before Joomla update, but if you had old versions, it requests know-how and access to new versions.

For example, about Joomla update, you have to update to 3.6 > 3.8 > 3.9 - to reduce problems.

Paul Frankowski - Staff

More than a month ago #Permalink
BTW
Is this windows server?

sheyde

More than a month ago #Permalink
Yes, Windows Server 2012 R2 Datacenter

sheyde

More than a month ago #Permalink
Hi,
sorry, but we are not official Joomla support.
It means that Joomla update problems to 3.9.1 >> https://forum.joomla.org/

---
About SPPB Update read a tip from:
https://www.joomshaper.com/documentation/sp-page-builder/sp-page-builder-3#how-to-tips
---

Extensions should be updated before Joomla update, but if you had old versions, it requests know-how and access to new versions.

For example, about Joomla update, you have to update to 3.6 > 3.8 > 3.9 - to reduce problems.



I'd like to roll back prior to doing anything to get my site back to normal and then try again with the updates in stages ... having issues rolling back as well.. thought if I delete the whole root and upload my files I should be good.. but that did not work correctly either. Suggestions on roll back again would be great!

sheyde

More than a month ago #Permalink
Yes, Windows Server 2012 R2 Datacenter


I did purchase Developer plan at JoomShaper.. I thought this qualified me for tech support. Did I read something wrong?

Paul Frankowski - Staff

More than a month ago #Permalink
We can help only with SPPB, not Joomla migration. I hope this support area is clear.
Yes, please send me access (via PM) to your joomla administrator I will take a look tomorrow.

Paul Frankowski - Staff

More than a month ago #Permalink
Inside configuration.php file
change '1' to '0' in line ~22
public $gzip = '0';
----
If possible send me access to FTP to update Joomla, with old one SPPB may not work correct
---

Yes, SPPB is updated, database fixed, but I have to check if all is OK

sheyde

More than a month ago #Permalink
Again, how and what do I need to do to get y ou access to FTP?

sheyde

More than a month ago #Permalink
500
JHtmlJquery::token not found.

Paul Frankowski - Staff

More than a month ago #Permalink
Your two lines must be like this


public $gzip = '0';
public $error_reporting = 'default';


then admin should work again

make sure they are (!)

sheyde

More than a month ago #Permalink
OK.. Yes, That helped.. Admin back end is now working.. thank you.. can we still do a joinme session?

Paul Frankowski - Staff

More than a month ago #Permalink
it won't help me update your Joomla

Paul Frankowski - Staff

More than a month ago #Permalink
You need to download Joomla 3.6 update package, upload files, then Update database.
then update Joomla 3.8 and should be OK..

Paul Frankowski - Staff

More than a month ago #Permalink
Knock me tomorrow we will recover fixed site ;)

sheyde

More than a month ago #Permalink
Sure thing.. Seems like we touch base around 3:00 PM EST my time which I think is 9:00 PM your time.. how about we shoot for that... I've downloaded your .zip.. and I'll make sure that it's ready.. Thanks


There are no replies made for this post yet.
Be one of the first to reply to this post!

Leaderboard (30 days)

Paul Frankowski

Paul Frankowski

Total Accepted Answers: 106
Toufiq

Toufiq

Total Accepted Answers: 58
Sifat

Sifat

Total Accepted Answers: 43
Mehtaz Afsana Borsha

Mehtaz Afsana Borsha

Total Accepted Answers: 23
Ofi Khan

Ofi Khan

Total Accepted Answers: 22

118

Templates

306265

Community Users

Newsletter

Don’t miss any updates of our new templates and extensions and all the astonishing offers we bring for you.
We never spam

Joomla! ® name is used under a limited license from Open Source Matters in the United States and other countries. JoomShaper.com is not affiliated with or endorsed by Open Source Matters or the Joomla! Project.

Connect Us